## NAME

gt-seq - Parse the given sequence file(s) and construct the corresponding index files.

## SYNOPSIS

gt seq [option …] sequence_file […]

## DESCRIPTION

-recreate [yes|no]

  recreate index files, even if they exist already (default: no)

-showfasta [yes|no]

  show all sequences (in FASTA format) (default: no)

-showseqnum [value]

  show sequence with given number (sequences are counted from 1 unless -seqnum_from_0 is specified) (default: undefined)

-showseqlength [value]

  show length of sequence with given number (sequences are counted from 1 unless -seqnum_from_0 is specified) (default: undefined)

-showseqnum_inputfile [filename]

  show sequence with given numbers specified line by line in given file (sequences are counted from 1 unless -seqnum_from_0 is specified) (default: undefined)

-seqnum_from_0 [yes|no]

  for options -showseqnum and -showseqnum_inputfile: count sequence numbers from 0 instead of 1 (default: no)

-gc-content [yes|no]

  print GC-content (for DNA files) (default: no)

-stat [yes|no]

  show sequence statistics (default: no)

-seqlengthdistri [yes|no]

  show sequence length distribution (default: no)

-width [value]

  set output width for FASTA sequence printing (0 disables formatting) (default: 0)

-o [filename]

  redirect output to specified file (default: undefined)

-gzip [yes|no]

  write gzip compressed output file (default: no)

-bzip2 [yes|no]

  write bzip2 compressed output file (default: no)

-force [yes|no]

  force writing to output file (default: no)

-help

  display help and exit

-version

  display version information and exit

## REPORTING BUGS

Report bugs to https://github.com/genometools/genometools/issues.